> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Logs in Account

> Get Details of Audit Log entries for an Account. This endpoint is only available in Enterprise editions and requires the audit_logs feature to be enabled.



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v1/accounts/{account_id}/audit_logs
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}/audit_logs:
    parameters:
      - $ref: '#/components/parameters/account_id'
    get:
      tags:
        - Audit Logs
      summary: List Audit Logs in Account
      description: >-
        Get Details of Audit Log entries for an Account. This endpoint is only
        available in Enterprise editions and requires the audit_logs feature to
        be enabled.
      operationId: get-account-audit-logs
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  per_page:
                    type: integer
                    description: Number of items per page
                    example: 15
                  total_entries:
                    type: integer
                    description: Total number of audit log entries
                    example: 150
                  current_page:
                    type: integer
                    description: Current page number
                    example: 1
                  audit_logs:
                    type: array
                    description: Array of audit log entries
                    items:
                      $ref: '#/components/schemas/audit_log'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '422':
          description: Feature not enabled or not available in current plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    audit_log:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the audit log entry
        auditable_id:
          type: integer
          description: The ID of the audited object
        auditable_type:
          type: string
          description: The type of the audited object (e.g., Conversation, Contact, User)
        auditable:
          type: object
          description: The audited object data
        associated_id:
          type: integer
          description: The ID of the associated object (typically the account ID)
        associated_type:
          type: string
          description: The type of the associated object
        user_id:
          type: integer
          description: The ID of the user who performed the action
        user_type:
          type: string
          description: The type of user who performed the action
        username:
          type: string
          description: The email/username of the user who performed the action
        action:
          type: string
          enum:
            - create
            - update
            - destroy
          description: The action performed on the object
        audited_changes:
          type: object
          description: JSON object containing the changes made to the audited object
        version:
          type: integer
          description: Version number of the audit log entry
        comment:
          type:
            - string
            - 'null'
          description: Optional comment associated with the audit log entry
        request_uuid:
          type: string
          description: UUID to identify the request that generated this audit log
        created_at:
          type: integer
          description: Unix timestamp when the audit log entry was created
        remote_address:
          type:
            - string
            - 'null'
          description: IP address from which the action was performed
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````